org.apache.tinkerpop.gremlin.process.traversal

## Interface TraverserGenerator

- All Known Implementing Classes:
    B_LP_NL_O_P_S_SE_SL_TraverserGenerator, B_LP_NL_O_S_SE_SL_TraverserGenerator, B_LP_O_P_S_SE_SL_TraverserGenerator, B_LP_O_S_SE_SL_TraverserGenerator, B_NL_O_S_SE_SL_TraverserGenerator, B_O_S_SE_SL_TraverserGenerator, B_O_TraverserGenerator, LP_NL_O_OB_P_S_SE_SL_TraverserGenerator, LP_NL_O_OB_S_SE_SL_TraverserGenerator, LP_O_OB_P_S_SE_SL_TraverserGenerator, LP_O_OB_S_SE_SL_TraverserGenerator, NL_O_OB_S_SE_SL_TraverserGenerator, O_OB_S_SE_SL_TraverserGenerator

      public interface TraverserGenerator

  A TraverserGenerator will generate traversers for a particular `Traversal`. In essence, wrap objects in a `Traverser`. Typically the `TraverserGenerator` chosen is determined by the `TraverserRequirement` of the `Traversal`. Simple requirements, simpler traversers. Complex requirements, complex traversers.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `<S> Traverser.Admin<S>` | `generate(S start, Step<S,?> startStep, long initialBulk)`
    `default <S> Iterator<Traverser.Admin<S>>` | `generateIterator(Iterator<S> starts, Step<S,?> startStep, long initialBulk)`
    `Set<TraverserRequirement>` | `getProvidedRequirements()`

- - ### Method Detail

    - #### getProvidedRequirements

          Set<TraverserRequirement> getProvidedRequirements()

    - #### generate

          <S> Traverser.Admin<S> generate(S start,
                                          Step<S,?> startStep,
                                          long initialBulk)

    - #### generateIterator

          default <S> Iterator<Traverser.Admin<S>> generateIterator(Iterator<S> starts,
                                                                    Step<S,?> startStep,
                                                                    long initialBulk)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.